--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: Database class for MySQL databases used with Sequel.
constants: 
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Mysql::Error messages that indicate the current connection should be disconnected
  name: MYSQL_DATABASE_DISCONNECT_ERRORS
  value: /\A(Commands out of sync; you can't run this command now\z|Can't connect to local MySQL server through socket)/
full_name: Sequel::MySQL::Database
includes: 
- !ruby/object:RI::IncludedModule 
  name: Sequel::MySQL::DatabaseMethods
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: call_sproc
- !ruby/object:RI::MethodSummary 
  name: connect
- !ruby/object:RI::MethodSummary 
  name: dataset
- !ruby/object:RI::MethodSummary 
  name: execute
- !ruby/object:RI::MethodSummary 
  name: server_version
name: Database
superclass: Sequel::Database
